#include<iostream>
#include<queue>
using namespace std;
int main()
{
    int n,q,l,r,ind;
    cin>>n;
    int a[n],b[n],c[n];
    cin>>a[0];
    b[0]=0;
    c[0]=-1;
    for(int i=1;i<n;i++)
    {
        cin>>a[i];
        if(a[i]<a[i-1])
        {
            b[i]=b[i-1]+1;
            c[i]=i;
        }
        else
        {
            b[i]=b[i-1];
            c[i]=c[i-1];
        }
    }
    cin>>q;
    queue<bool> red;
    for(int i=0;i<q;i++)
    {
        cin>>l>>r;
        l--; r--;
        if(b[r]-b[l]==0) red.push(true);
        else if(b[r]-b[l]==1)
        {
            ind=c[r];
            if(ind==r || ind==l+1) red.push(true);
            else if(a[ind-1]<=a[ind+1] or a[ind-2]<=a[ind])red.push(true);
            else red.push(false);
        }
        else red.push(false);
    }
    for(int i=0;i<q;i++)
    {
        if(red.front()) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
        red.pop();
    }
    return 0;
}